Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 813327 - [RFE] support looking up autofs maps via SSSD
Summary: [RFE] support looking up autofs maps via SSSD
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: sssd
Version: 6.4
Hardware: All
OS: Linux
high
high
Target Milestone: rc
: ---
Assignee: Jakub Hrozek
QA Contact: Kaushik Banerjee
URL:
Whiteboard:
: 816686 (view as bug list)
Depends On: 761570 816686
Blocks: 683518 683523 736854 750334
TreeView+ depends on / blocked
 
Reported: 2012-04-17 14:04 UTC by Jenny Galipeau
Modified: 2018-12-01 18:56 UTC (History)
9 users (show)

Fixed In Version: sssd-1.9.1-1.el6
Doc Type: Release Note
Doc Text:
The automounter daemon can now be configured to read autofs maps from a centralized server, for example from a Lightweight Directory Access Protocol (LDAP) server. A new SSSD responder can communicate with automounter, which can request maps via SSSD instead of going directly to the server. As a result, automounter is able to serve maps even when the network is down or the server is not reachable.
Clone Of: 761570
Environment:
Last Closed: 2013-02-21 09:23:29 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2013:0508 normal SHIPPED_LIVE Low: sssd security, bug fix and enhancement update 2013-02-20 21:30:10 UTC

Comment 3 Jenny Galipeau 2012-06-12 18:44:02 UTC
*** Bug 816686 has been marked as a duplicate of this bug. ***

Comment 6 Stephen Gallagher 2012-06-19 13:48:57 UTC
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
Cause: Customers request the ability to cache their LDAP-maintained autofs share maps locally, so that an LDAP disruption does not result in a disruption in their ability to automount shares.

Change: SSSD and autofs were updated to allow using SSSD as a source for map information.

Result: As a Tech Preview feature, SSSD can now cache  share maps for autofs.

Comment 7 RHEL Product and Program Management 2012-07-10 07:06:27 UTC
This request was not resolved in time for the current release.
Red Hat invites you to ask your support representative to
propose this request, if still desired, for consideration in
the next release of Red Hat Enterprise Linux.

Comment 8 RHEL Product and Program Management 2012-07-11 02:05:39 UTC
This request was erroneously removed from consideration in Red Hat Enterprise Linux 6.4, which is currently under development.  This request will be evaluated for inclusion in Red Hat Enterprise Linux 6.4.

Comment 12 Kaushik Banerjee 2012-11-27 16:46:51 UTC
Verified in version 1.9.2-21

Report from beaker automation run:
[   PASS   ]      autofs1 - ldap_autofs_search_base not mentioned
[   PASS   ]      autofs2 - ldap_autofs_search_base picks up the value from ldap_search_base
[   PASS   ]      autofs3 - ldap_autofs_search_base=ou=mount,dc=example,dc=com
[   PASS   ]      autofs4 - autofs_provider=none
[   PASS   ]      autofs5 - autofs_provider uses the value from id_provider
[   PASS   ]      autofs6 - autofs_provider=ldap
[   PASS   ]      autofs7 - bz822404 non-default values of all ldap attributes
[   PASS   ]      autofs8 - mount autofs shares
[   PASS   ]      autofs9 - entry_cache_autofs_timeout value

Comment 13 errata-xmlrpc 2013-02-21 09:23:29 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2013-0508.html


Note You need to log in before you can comment on or make changes to this bug.